# HttpResponse Interface Reference
[HTTP related utilities]

Inheritance diagram for HttpResponse:
[legend]

List of all members.

## Public Member Functions

| getStatus ()
| getReasonPhrase ()
| getHeaders ()
| hasHeader ($name)
| getHeader ($name)
| getBody ()

## Detailed Description

Definition at line 15 of file HttpResponse.class.php.

## Member Function Documentation

HttpResponse::getBody | ( |  | ) |

Implemented in CurlHttpResponse.

HttpResponse::getHeader | ( | $ | name | ) |

Implemented in CurlHttpResponse.

HttpResponse::getHeaders | ( |  | ) |

Returns:
  array of headers

Implemented in CurlHttpResponse.

HttpResponse::getReasonPhrase | ( |  | ) |

Implemented in CurlHttpResponse.

HttpResponse::getStatus | ( |  | ) |

Returns:
  HttpStatus

Implemented in CurlHttpResponse.

HttpResponse::hasHeader | ( | $ | name | ) |

Implemented in CurlHttpResponse.

The documentation for this interface was generated from the following file:

- main/Net/Http/HttpResponse.class.php